# LPSU – Linear Power Supply

A simple ±12V linear power supply, which supplys max 1.5A on each rail. This PSU should deliver enough current for 2 rows of 84HP.

## ⚠ Safety Warning

**DANGER! To build this power supply you need to work with 230VAC from mains. This can kill or hurt you badly! If you wire the transformer wrongly you create even more deadly high voltages. The capacitors in the circuit can keep their charge for minutes, even after you plugged everything out. They won't kill you, but the charge can burn/vaporize your tools if you create a short circuit. If you are not sure what you do, ask for help. Don't make stupid decisions!**

## Circuit

<img src="./images/simple_psu_schematic.png" width="100%" />


The Circuit is based on a Toroid transformer which converts 230VAC to 15VDC (this value is the effective value, The peak-to-peak voltage is roughly 42Vpp). The four diodes D1, D2, D3 and D4 form a bridge rectifier – a circuit used to convert AC voltage to DC voltage. With this we can convert positive and negative halfwaves of the two sine voltages of the transformer's secondary windings to DC (roughly 20VDC).

The Capacitors C1 C2, C9, C10, C11 and C12 are used to smoothen the DC coming from the bridge rectifier. The LM317 and LM337 are Linear Voltage regulators, which allow us to set a precise voltage level with a voltage divider (replace R3+R4 and R6+R7 with 10K Trimmers). The Diodes D5, D6, D6 and D10 are there to protect these ICs. Make sure to use heat sinks for the Voltage regulators, because depending on the current draw of your modules they may become very hot or even destroy themselves otherwise.

Adjust R5 and R10 to fit the used light diodes and desired brightness.



## Pics

<img src="./images/simple_psu_pic.jpg" width="50%">   
The LEDs glow and the PSU is calibrated to 12V with the multimeter.  

## BOM
All in all about 30€ in parts max maybe

| Pcs | Name | Value |
| -------- | -------- | ------ |
| 1 | Toroid transformer | 2x12V |
| 1 | Positive Voltage Regulator | LM 317 or LM350 |
| 1 | Negative Voltage Regulator | LM 337 |
| 2 | Heatsink | for TO-220 (the more current you plan to draw the bigger they need to be) |
| 8 | Diodes| 1N4001, 1N4004 or similar |
| 2 | Electrolytic Capacitor | 1000uF 35V |
| 4 | Electrolytic Capacitor | 470uF 35V (optional, for smoother voltages) |
| 2 | Electrolytic Capacitor | 100uF 35V |
| 2 | Electrolytic Capacitor | 10uF 35V |
| 2 | Capacitor | 100n 35V (keep close to voltage regulators) |
| 2 | Trimmer | 10k. 25-Turn precision trimmer (everything else will be a pain to trim) |
| 2 | Resistor | Metall, 1.5k |
| 2 | Resistor | Metall, 1k |
| 2 | Resistor | Metall, value depends on used LEDs |
| 2 | LED | Choose whatever you like or leave them out |
| 2 | Clamps, Pins, ... | Something to connect your busboard to the PSU |



